Bug 1340293 - Module file RC is ignored until "module" command is issued
Summary: Module file RC is ignored until "module" command is issued
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: environment-modules
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 23:11 UTC by andy.riebs
Modified: 2020-12-15 07:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 07:41:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description andy.riebs 2016-05-26 23:11:39 UTC
Description of problem:

On logging into a node, PATH, LD_LIBRARY_PATH, etc., won't reflect the initialization specified in /usr/share/Modules/etc/rc. However, if one does "module list", it will report that the module files that are loaded by .../rc are loaded. And from there, they are loaded!

Version-Release number of selected component (if applicable):

3.2.10

How reproducible:

Always.

Steps to Reproduce:
1. Set up /usr/share/Modules/etc/rc to load a module which prepends a unique path to PATH
2. (Log out and then in again)
3. echo $PATH
The PATH set by your rc file won't be listed.
4. module list
The module(s) listed in ../rc will appear.
5. echo $PATH
Your PATH now reflects the module file addition.

Actual results:

Until a "module" command is executed, the default module files aren't loaded.

Expected results:

Upon logging in, the default module files should, in fact, be loaded.

Additional info:

A simple fix would be to add "module refresh" as the last line of /etc/profile.d/modules.*

Comment 1 Todd Zullinger 2018-05-16 18:48:59 UTC
The environment-modules package is in RHEL beginning in RHEL >= 6.  I adjusted the product field.

$ yum -q list environment-modules | cat
Available Packages
environment-modules.x86_64                  3.2.10-10.el7                   base

Comment 5 RHEL Program Management 2020-12-15 07:41:46 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.